SoSFTime(3IV)

NAME
SoSFTime — field containing an SbTime

INHERITS FROM
SoField > SoSField > SoSFTime

SYNOPSIS
#include <Inventor/fields/SoSFTime.h>

Methods from class SoSFTime:

static SoType
getClassTypeId()
virtual void
getTypeId() const
const SbTime &
getValue() const
const SbTime &
operator =(const SbTime & newValue)
void
setValue(const SbTime & newValue)
int
operator ==(const SoSFTime &f) const
int
operator !=(const SoSFTime &f) const

Methods from class SoField:

void
setIgnored(SbBool ignore)
SbBool
isIgnored() const
SbBool
isDefault() const
virtual SbBool
isOfType(SoType type) const
SbBool
set(const char *valueString)
void
get(SbString &valueString)
void
touch()
SbBool
connectFrom(SoField *fromField)
SbBool
connectFrom(SoEngineOutput *fromEngine)
void
disconnect()
SbBool
isConnected() const
SbBool
isConnectedFromField() const
SbBool
getConnectedField(SoField *&writingField) const
SbBool
isConnectedFromEngine() const
SbBool
getConnectedEngine(SoEngineOutput *&engineOutput) const
void
enableConnection(SbBool flag)
SbBool
isConnectionEnabled() const
int
getForwardConnections(SoFieldList &list) const
SoFieldContainer *
getContainer() const

DESCRIPTION
A multiple-value field that contains any number of time values.

SoSFTimes are written to file as a double-precision floating point value representing the length of time in seconds. Absolute times are measured relative to 00:00:00 GMT, January 1, 1970.

METHODS
static SoType
getClassTypeId()
virtual void
getTypeId() const
Returns the type for this class or a particular object of this class.

const SbTime &
getValue() const
Returns this field's value.

const SbTime &
operator =(const SbTime & newValue)
void
setValue(const SbTime & newValue)
Sets this field to newValue.

int
operator ==(const SoSFTime &f) const
int
operator !=(const SoSFTime &f) const
Returns TRUE if f is of the same type and has the same value as this field.

SEE ALSO
SbTime, SoField, SoSField, SoMFTime